"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sqip = require("sqip");
const sizeOf = require("image-size");
const filesize = require("filesize");
const fs_1 = require("./fs");
async function parseInput(filename) {
    const { width, height, type } = sizeOf(filename);
    const size = filesize((await fs_1.stat(filename)).size);
    return { size, type, filename, width, height };
}
function sqipify(options) {
    const { final_svg: svg, svg_base64encoded: base64 } = sqip(options);
    const svgSize = filesize(svg.length);
    const base64Size = filesize(base64.length);
    return { svg, base64, svgSize, base64Size };
}
async function default_1(filename, numberOfPrimitives, blur = 0, mode = 0 /* Combo */) {
    const input = await parseInput(filename);
    const { width, height } = input;
    const options = {
        mode,
        blur,
        numberOfPrimitives,
        width,
        height,
        filename
    };
    const output = sqipify(options);
    return {
        input,
        output
    };
}
exports.default = default_1;
//# sourceMappingURL=index.js.map